Belune
MaintenanceAdmin only

List WAF Events

GET
/api/maintenance/proxy/waf/events
AuthorizationBearer <token>

Personal access token whose scope satisfies read — read, deploy, or write all qualify.

In: header

Query Parameters

before?string
client_ip?string
limit?string
rule_id?string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/maintenance/proxy/waf/events"
{  "events": [    {      "application_id": "string",      "category": "string",      "client_ip": "string",      "host": "string",      "id": 0,      "message": "string",      "recorded_at": "2019-08-24T14:15:22Z",      "rule_id": 0,      "severity": "string",      "tx_id": "string"    }  ],  "next_before": 0}